Authen::Krb5::Creds(3pm)

NAME
Authen::Krb5::Creds - Object representing a credential.

VERSION
version 1.906

METHODS

  starttime()
Returns the starttime time property of the credential.

  authtime()
Returns the authtime time property of the credential.

  endtime()
Returns the endtime time property of the credential.

  renew_till()
Returns the renew_till time property of the credential.

  server()
Returns the name of the service principal the credential is for.

  client()
Returns the client principal name (will usually be identical for all credentials in a credential cache).

  ticket()
Returns the Authen::Krb5::Ticket for this credential.

  keyblock()
Returns the keyblock of the credential.

AUTHOR
Jeff Horwitz <jeff@smashing.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2000 by Jeff Horwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.